<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('subTickets', function (Blueprint $table) {
            $table->id();
            $table->tinyInteger("status")->nullable();
            $table->longText('text')->nullable();
            $table->text('file')->nullable();
            $table->text('maker')->nullable();
            $table->bigInteger('ticket_id')->unsigned()->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('subTickets');
    }
};
